SpriteLibrary

# SpriteDatabase
WriteToXmlFile
T
Method

Writes the given object instance to an XML file. Only Public properties and variables will be written to the file. These can be any type though, even other classes. If there are public properties/variables that you do not want written to the file, decorate them with the [XmlIgnore] attribute. Object type must have a parameterless constructor.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public static void WriteToXmlFile<T>(
    	string filePath,
    	T objectToWrite
    )
    where T : new()

#### Parameters

filePath
  Type: System
  String
  The file path to write the object instance to.
objectToWrite
  Type: T
  The object instance to write to the file.

#### Type Parameters

T
  The type of object being written to the file.

See Also

#### Reference

SpriteDatabase Class
SpriteLibrary Namespace